<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:00 CET 2009 -->
<TITLE>
IBitSet
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.bitset.IBitSet interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="IBitSet";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultBitSet.DefaultBitSetFactory.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/IntBitSet.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/IBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.bitset</FONT>
<BR>
Interface IBitSet</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&gt;</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../ch/javasoft/bitset/ByteBitSet.html" title="class in ch.javasoft.bitset">ByteBitSet</A>, <A HREF="../../../ch/javasoft/bitset/DefaultBitSet.html" title="class in ch.javasoft.bitset">DefaultBitSet</A>, <A HREF="../../../ch/javasoft/bitset/IntBitSet.html" title="class in ch.javasoft.bitset">IntBitSet</A>, <A HREF="../../../ch/javasoft/bitset/LongBitSet.html" title="class in ch.javasoft.bitset">LongBitSet</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.44"><B>IBitSet</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&gt;</DL>
</PRE>

<P>
The <code>IBitSet</code> interface defines bit set operations common to all
 implementors. The functionality of <code>IBitSet</code> is similar to that of
 Java's <code>BitSet</code>, but some missing important methods have been added, 
 like <A HREF="../../../ch/javasoft/bitset/IBitSet.html#isSubSetOf(ch.javasoft.bitset.IBitSet)"><CODE>isSubSetOf(IBitSet)</CODE></A>.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#and(ch.javasoft.bitset.IBitSet)">and</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically and-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] AND with.bit[i]</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#andNot(ch.javasoft.bitset.IBitSet)">andNot</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically and-ed with the complement of the given 
 bit set:<br>
 <code>this.bit[i] = this.bit[i] AND (NOT with.bit[i])</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#cardinality()">cardinality</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of true bits in this bit set</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#cardinality(int, int)">cardinality</A></B>(int&nbsp;fromBit,
                       int&nbsp;toBit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of true bits in this bit set, starting from 
 <code>fromBit</code> (inclusive), ending at <code>toBit</code> (exclusive).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set all bits to false</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#clear(int)">clear</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified bit to false</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a clone of this bit set</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset">BitSetFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#factory()">factory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the factory for this bit set implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#flip(int)">flip</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified bit to the opposite of the current value (new=not old)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#get(int)">get</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the specified</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getAnd(ch.javasoft.bitset.IBitSet)">getAnd</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically and-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] AND with.bit[i]</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getAndCardinality(ch.javasoft.bitset.IBitSet)">getAndCardinality</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically and-ed with the given bit set, and the 
 cardinality of the result is returned:<br>
 <code>result = |this.bit[i] AND with.bit[i]|</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getAndNot(ch.javasoft.bitset.IBitSet)">getAndNot</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically and-ed with the complement of the given 
 bit set, and the result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] AND (NOT with.bit[i])</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getOr(ch.javasoft.bitset.IBitSet)">getOr</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically or-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] OR with.bit[i]</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getXor(ch.javasoft.bitset.IBitSet)">getXor</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically xor-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] XOR with.bit[i]</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#getXorCardinality(ch.javasoft.bitset.IBitSet)">getXorCardinality</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically xor-ed with the given bit set, and the 
 cardinality of the result is returned:<br>
 <code>result = |this.bit[i] XOR with.bit[i]|</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#isSubSetOf(ch.javasoft.bitset.IBitSet)">isSubSetOf</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this bit set is a subset of the given bit set.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#isSuperSetOfIntersection(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)">isSuperSetOfIntersection</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;interA,
                                                 <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;interB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this bit set is a superset of the intersection of the 
 given bit sets.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#length()">length</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>index + 1</code>, with the index of the highest bit set 
 to true.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#nextClearBit(int)">nextClearBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first bit that is set to <code>false</code>
 that occurs on or after the specified starting index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#nextSetBit(int)">nextSetBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first bit that is set to <code>true</code>
 that occurs on or after the specified starting index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#or(ch.javasoft.bitset.IBitSet)">or</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically or-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] OR with.bit[i]</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#set(int)">set</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified <code>bit</code> to true</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#set(int, boolean)">set</A></B>(int&nbsp;bit,
       boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified <code>bit</code> to the given <code>value</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#toBitSet()">toBitSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this bit set to a Java bit set and returns it</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/IBitSet.html#xor(ch.javasoft.bitset.IBitSet)">xor</A></B>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bit set is logically xor-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] XOR with.bit[i]</code></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Comparable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html#compareTo(T)" title="class or interface in java.lang">compareTo</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="set(int)"><!-- --></A><H3>
set</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.51"><B>set</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD>Set the specified <code>bit</code> to true
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to set
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="set(int, boolean)"><!-- --></A><H3>
set</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.59"><B>set</B></A>(int&nbsp;bit,
         boolean&nbsp;value)</PRE>
<DL>
<DD>Set the specified <code>bit</code> to the given <code>value</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - the index of the bit to set<DD><CODE>value</CODE> - the value to be set
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="clear(int)"><!-- --></A><H3>
clear</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.65"><B>clear</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD>Set the specified bit to false
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to clear
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.69"><B>clear</B></A>()</PRE>
<DL>
<DD>Set all bits to false
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="flip(int)"><!-- --></A><H3>
flip</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.75"><B>flip</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD>Set the specified bit to the opposite of the current value (new=not old)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to flip
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
boolean <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.82"><B>get</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD>Returns the specified
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the asked bit
<DT><B>Returns:</B><DD>true if the bit is set, false otherwise
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="isSubSetOf(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
isSubSetOf</H3>
<PRE>
boolean <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.93"><B>isSubSetOf</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;of)</PRE>
<DL>
<DD>Returns true if this bit set is a subset of the given bit set. 
 A bit set is a subset of another bit set if the all bits which are
 true in this bit set are also true in the other bit set. If two
 bit sets are equal, each is a subset of the other.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - The bit set, which is a superset of this bit set if the latter
              is a subset of it
<DT><B>Returns:</B><DD>true if this bit set is a subset of <code>of</code></DL>
</DD>
</DL>
<HR>

<A NAME="isSuperSetOfIntersection(ch.javasoft.bitset.IBitSet, ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
isSuperSetOfIntersection</H3>
<PRE>
boolean <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.107"><B>isSuperSetOfIntersection</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;interA,
                                 <A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;interB)</PRE>
<DL>
<DD>Returns true if this bit set is a superset of the intersection of the 
 given bit sets. This method returns true if for every bit <code>i</code>, 
 the following condition holds:
 <code>this.bit[i] &gt;= (interA.bit[i] AND with.bit[i])</code>.
 The condition is equivalent to
 <code>this.bit[i] OR NOT interA.bit[i] OR NOT with.bit[i]</code>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>interA</CODE> - The first part of the intersection set<DD><CODE>interB</CODE> - The second part of the intersection set
<DT><B>Returns:</B><DD>true if this bit set is a superset of <code>(interA AND interB)</code></DL>
</DD>
</DL>
<HR>

<A NAME="and(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
and</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.115"><B>and</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically and-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] AND with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically and-ed</DL>
</DD>
</DL>
<HR>

<A NAME="getAndCardinality(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getAndCardinality</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.125"><B>getAndCardinality</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically and-ed with the given bit set, and the 
 cardinality of the result is returned:<br>
 <code>result = |this.bit[i] AND with.bit[i]|</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically and-ed
<DT><B>Returns:</B><DD>the cardinality of the result</DL>
</DD>
</DL>
<HR>

<A NAME="getAnd(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getAnd</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.135"><B>getAnd</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically and-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] AND with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically and-ed
<DT><B>Returns:</B><DD>the resulting bit set</DL>
</DD>
</DL>
<HR>

<A NAME="andNot(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
andNot</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.145"><B>andNot</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically and-ed with the complement of the given 
 bit set:<br>
 <code>this.bit[i] = this.bit[i] AND (NOT with.bit[i])</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which's complement this bit set is 
                                logically and-ed</DL>
</DD>
</DL>
<HR>

<A NAME="getAndNot(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getAndNot</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.156"><B>getAndNot</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically and-ed with the complement of the given 
 bit set, and the result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] AND (NOT with.bit[i])</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which's complement this bit set is 
                                logically and-ed
<DT><B>Returns:</B><DD>the resulting bit set</DL>
</DD>
</DL>
<HR>

<A NAME="or(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
or</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.164"><B>or</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically or-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] OR with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically or-ed</DL>
</DD>
</DL>
<HR>

<A NAME="getOr(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getOr</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.174"><B>getOr</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically or-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] OR with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically or-ed
<DT><B>Returns:</B><DD>the resulting bit set</DL>
</DD>
</DL>
<HR>

<A NAME="xor(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
xor</H3>
<PRE>
void <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.182"><B>xor</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically xor-ed with the given bit set:<br>
 <code>this.bit[i] = this.bit[i] XOR with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically xor-ed</DL>
</DD>
</DL>
<HR>

<A NAME="getXor(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getXor</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.192"><B>getXor</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically xor-ed with the given bit set, and the 
 result is returned as a new bit set instance:<br>
 <code>result.bit[i] = this.bit[i] XOR with.bit[i]</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically xor-ed
<DT><B>Returns:</B><DD>the resulting bit set</DL>
</DD>
</DL>
<HR>

<A NAME="getXorCardinality(ch.javasoft.bitset.IBitSet)"><!-- --></A><H3>
getXorCardinality</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.202"><B>getXorCardinality</B></A>(<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;with)</PRE>
<DL>
<DD>The current bit set is logically xor-ed with the given bit set, and the 
 cardinality of the result is returned:<br>
 <code>result = |this.bit[i] XOR with.bit[i]|</code>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bit set with which this bit set is logically xor-ed
<DT><B>Returns:</B><DD>the cardinality of the result</DL>
</DD>
</DL>
<HR>

<A NAME="length()"><!-- --></A><H3>
length</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.209"><B>length</B></A>()</PRE>
<DL>
<DD>Returns <code>index + 1</code>, with the index of the highest bit set 
 to true.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>index + 1</code> of the highest true bit</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality()"><!-- --></A><H3>
cardinality</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.215"><B>cardinality</B></A>()</PRE>
<DL>
<DD>Returns the number of true bits in this bit set
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of set bits</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality(int, int)"><!-- --></A><H3>
cardinality</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.226"><B>cardinality</B></A>(int&nbsp;fromBit,
                int&nbsp;toBit)</PRE>
<DL>
<DD>Returns the number of true bits in this bit set, starting from 
 <code>fromBit</code> (inclusive), ending at <code>toBit</code> (exclusive).
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromBit</CODE> - the start bit, inclusive<DD><CODE>toBit</CODE> - the end bit, exclusive
<DT><B>Returns:</B><DD>the number of set bits</DL>
</DD>
</DL>
<HR>

<A NAME="nextSetBit(int)"><!-- --></A><H3>
nextSetBit</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.244"><B>nextSetBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD>Returns the index of the first bit that is set to <code>true</code>
 that occurs on or after the specified starting index. If no such
 bit exists then -1 is returned.

 To iterate over the <code>true</code> bits in a <code>BitSet</code>,
 use the following loop:
 <pre>
 for (int i = bs.nextSetBit(0); i >= 0; i = bs.nextSetBit(i + 1)) {
     // operate on index i here
 }
 </pre>
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>from</CODE> - the index to start checking from (inclusive).
<DT><B>Returns:</B><DD>the index of the next set bit.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="nextClearBit(int)"><!-- --></A><H3>
nextClearBit</H3>
<PRE>
int <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.254"><B>nextClearBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD>Returns the index of the first bit that is set to <code>false</code>
 that occurs on or after the specified starting index.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>from</CODE> - the index to start checking from (inclusive).
<DT><B>Returns:</B><DD>the index of the next clear bit.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE> - if the specified index is negative.</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.260"><B>clone</B></A>()</PRE>
<DL>
<DD>Returns a clone of this bit set
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>A cloned (new) instance of this bit set</DL>
</DD>
</DL>
<HR>

<A NAME="toBitSet()"><!-- --></A><H3>
toBitSet</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html" title="class or interface in java.util">BitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.266"><B>toBitSet</B></A>()</PRE>
<DL>
<DD>Converts this bit set to a Java bit set and returns it
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a java bit set representing the same bits as this bit set</DL>
</DD>
</DL>
<HR>

<A NAME="factory()"><!-- --></A><H3>
factory</H3>
<PRE>
<A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset">BitSetFactory</A> <A HREF="../../../src-html/ch/javasoft/bitset/IBitSet.html#line.273"><B>factory</B></A>()</PRE>
<DL>
<DD>Returns the factory for this bit set implementation.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the factory for this bit set implementation</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/IBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/DefaultBitSet.DefaultBitSetFactory.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/IntBitSet.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/IBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="IBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
